<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>101159</bug_id>
          
          <creation_ts>2005-08-02 21:07 0000</creation_ts>
          <short_desc>cowloop udev entries</short_desc>
          <delta_ts>2005-08-04 16:41:58 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>2005.0</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          <keywords>Inclusion</keywords>
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>jeromepoulin@gmail.com</reporter>
          <assigned_to>gregkh@gentoo.org</assigned_to>
          <cc>dragonheart@gentoo.org</cc>

      

      
          <long_desc isprivate="0">
            <who>jeromepoulin@gmail.com</who>
            <bug_when>2005-08-02 21:07:03 0000</bug_when>
            <thetext>In version 2.15 of cowloop, cowmerge has been added to the package and the
make/install part of the ebuild weren&apos;t added that source file to compile, I
added the patch for this bug at the end of the bug report.

Another problem I was wondering, is there a way to automatically add rules to
udev for that package as when you use udev it creates on modprobe /dev/cowctl
but the program search for /dev/cow/ctl when used and will not work until it is
created there, also when it works it will create a cowdev /dev/cowloop0 when the
program says it has created /dev/cow/[0-16] depending on the number of cowloops,
I added those lines to /etc/udev/rules.d/50-udev.rules :

# cow loop
KERNEL==&quot;cowctl&quot;        NAME=&quot;cow/ctl&quot;
KERNEL==&quot;cowloop[0-9]&quot;  NAME=&quot;cow/%n&quot;

those lines worked perfectly and fixed it.

--- portage/sys-fs/cowloop/cowloop-2.15.ebuild	2005-06-26 05:38:58.000000000 -0400
+++ portage-cowloop/sys-fs/cowloop/cowloop-2.15.ebuild	2005-08-02
23:55:56.000000000 -0400
@@ -32,11 +32,11 @@ pkg_setup() {
 
 src_compile() {
 	linux-mod_src_compile
-	CC=&quot;$(tc-getCC) ${CFLAGS}&quot; emake cowdev cowrepair cowsync cowlist || die &quot;make
failed&quot;
+	CC=&quot;$(tc-getCC) ${CFLAGS}&quot; emake cowdev cowrepair cowsync cowlist cowmerge ||
die &quot;make failed&quot;
 }
 
 src_install() {
 	linux-mod_src_install
-	dosbin cowdev cowrepair cowsync cowlist
+	dosbin cowdev cowrepair cowsync cowlist cowmerge
 	doman man/*
 }</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jeromepoulin@gmail.com</who>
            <bug_when>2005-08-02 21:21:03 0000</bug_when>
            <thetext>Created an attachment (id=64964)
Just though it could be an idea to have a file instead of text.
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jeromepoulin@gmail.com</who>
            <bug_when>2005-08-02 21:23:04 0000</bug_when>
            <thetext>(From update of attachment 64964)
Just though it could be an idea to have a file instead of text.
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>dragonheart@gentoo.org</who>
            <bug_when>2005-08-04 02:00:16 0000</bug_when>
            <thetext>cowloop-2.15-r1 fixes cowmerge  
  
Greg - are the udev additions feasible? </thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>gregkh@gentoo.org</who>
            <bug_when>2005-08-04 11:48:56 0000</bug_when>
            <thetext>You don&apos;t need to add those udev entries to the main udev rules file, just drop
them into the /etc/udev/rules.d/ directory.  With a name something like
&quot;60-cowloop.rules&quot; so they get run after the other rules.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>dragonheart@gentoo.org</who>
            <bug_when>2005-08-04 14:51:18 0000</bug_when>
            <thetext>done - thanks greg. </thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jeromepoulin@gmail.com</who>
            <bug_when>2005-08-04 16:41:58 0000</bug_when>
            <thetext>Ah ok! I tried that but didn&apos;t add the .rules suffix and it didn&apos;t work but with
.rules it works perfectly. Thanks.</thetext>
          </long_desc>
      
          <attachment
              isobsolete="0"
              ispatch="1"
              isprivate="0"
          >
            <attachid>64964</attachid>
            <date>2005-08-02 21:21 0000</date>
            <desc>Patch for cowloop ebuild</desc>
            <filename>cowloop-2.15.ebuild.patch</filename>
            <type>text/plain</type>
            <data encoding="base64">LS0tIHBvcnRhZ2Uvc3lzLWZzL2Nvd2xvb3AvY293bG9vcC0yLjE1LmVidWlsZAkyMDA1LTA2LTI2
IDA1OjM4OjU4LjAwMDAwMDAwMCAtMDQwMAorKysgcG9ydGFnZS1jb3dsb29wL3N5cy1mcy9jb3ds
b29wL2Nvd2xvb3AtMi4xNS5lYnVpbGQJMjAwNS0wOC0wMiAyMzo1NTo1Ni4wMDAwMDAwMDAgLTA0
MDAKQEAgLTMyLDExICszMiwxMSBAQCBwa2dfc2V0dXAoKSB7CiAKIHNyY19jb21waWxlKCkgewog
CWxpbnV4LW1vZF9zcmNfY29tcGlsZQotCUNDPSIkKHRjLWdldENDKSAke0NGTEFHU30iIGVtYWtl
IGNvd2RldiBjb3dyZXBhaXIgY293c3luYyBjb3dsaXN0IHx8IGRpZSAibWFrZSBmYWlsZWQiCisJ
Q0M9IiQodGMtZ2V0Q0MpICR7Q0ZMQUdTfSIgZW1ha2UgY293ZGV2IGNvd3JlcGFpciBjb3dzeW5j
IGNvd2xpc3QgY293bWVyZ2UgfHwgZGllICJtYWtlIGZhaWxlZCIKIH0KIAogc3JjX2luc3RhbGwo
KSB7CiAJbGludXgtbW9kX3NyY19pbnN0YWxsCi0JZG9zYmluIGNvd2RldiBjb3dyZXBhaXIgY293
c3luYyBjb3dsaXN0CisJZG9zYmluIGNvd2RldiBjb3dyZXBhaXIgY293c3luYyBjb3dsaXN0IGNv
d21lcmdlCiAJZG9tYW4gbWFuLyoKIH0K
</data>        

          </attachment>
    </bug>

</bugzilla>